---
# exprerimental modul lots of assumptions
- name: Create a new ext4 primary partition
  community.general.parted:
    device: "/dev/{{ disk }}"
    number: 1
    state: present
    fs_type: ext4

- name: "Create a ext4 filesystem on /dev/{{disk}}"
  community.general.filesystem:
    fstype: ext4
    dev: "/dev/{{ disk }}1"

- name: do facts module to get latest information
  setup:


- name: get device name
  command: lsblk /dev/{{ disk }}1 -no UUID
  register: xuuid

- name: Mount up device by UUID
  ansible.posix.mount:
    path: /mnt/data/
    src: "UUID={{ xuuid.stdout }}"
    fstype: ext4
    opts: discard,errors=remount-ro
    state: mounted
